#include "confirm.h"

void ConfirmQuit(widget, cw, call_data)
     Widget widget;
     confirmWidgetStruct *cw;
     caddr_t call_data;
{
  if (widget == cw->yes) exit(0);

/* must be destroyed, not popeddown
 * XtPopdown(cw->pop);
 */
  XtDestroyWidget(cw->pop);
  free(cw);
}

void Quit(widget, client_data, event)
     Widget widget;
     caddr_t client_data;
     XEvent *event;
{
  confirmWidgetStruct *cw, *MakeConfirmedPopup();
  Dimension x, y;

/* since the location is set for each popup after the 1st popup is realized,
   we need to create/destroy the popup every time */

  x = (event->xbutton).x_root - (event->xbutton).x + 5;
  y = (event->xbutton).y_root - (event->xbutton).y + 5;
  cw = MakeConfirmedPopup(&widget, "Quit", ConfirmQuit, x, y);
  XtPopup(cw->pop, XtGrabExclusive);
  XWarpPointer(XtDisplay(widget), NULL, XtWindow(cw->no),
               0, 0, 0, 0, 5, 10);
}
