#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#include <stdio.h>

int col[6][3] = {
  {255,255,255}, 
  {0,0,0}, 
  {0,0,255},
  {255,0,0}, 
  {0,255,0},
  {200,125,120}, };

ExtendColorMap(W, colors, noColors)
     Widget W;
     int colors[], noColors;
{
  Colormap cmap;
  XColor xcolor;

  Display *theDisplay;
  int      i, ncolors, theScreen;

  theDisplay = XtDisplay(W);
  theScreen  = DefaultScreen(theDisplay);

  cmap = DefaultColormap(theDisplay, theScreen);

  ncolors = 0;
  for (i=0; i< noColors; i++) {
    xcolor.red   = col[i][0]<<8;
    xcolor.green = col[i][1]<<8;
    xcolor.blue  = col[i][2]<<8;
    xcolor.flags = DoRed | DoGreen | DoBlue;
    if(!XAllocColor(theDisplay, cmap, &xcolor)){
      fprintf(stderr, "Only %d colors available\n", ncolors);
      break;
    }
    colors[ncolors++] = xcolor.pixel;
  }
  return (ncolors);
}
